Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/rsapk.h File Reference

RSA Public Key, header. More...

`#include "mp32barrett.h"`

Go to the source code of this file.

## Data Structures
struct | rsapk
## Functions
int | rsapkInit (rsapk *pk)
int | rsapkFree (rsapk *pk)
int | rsapkCopy (rsapk *dst, const rsapk *src)

## Detailed Description

RSA Public Key, header.

Definition in file rsapk.h.

## Function Documentation

int rsapkCopy | ( | rsapk * | dst,
|  | const rsapk * | src
| ) |

| Definition at line 57 of file rsapk.c.

int rsapkFree | ( | rsapk * | pk | ) |

| Definition at line 47 of file rsapk.c. References BEECRYPTAPI. Referenced by pgpCleanDig.

int rsapkInit | ( | rsapk * | pk | ) |

| Definition at line 35 of file rsapk.c.